Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package settings
  Definition Classes
    nsc
-  trait ScalaSettings extends AbsScalaSettings with StandardScalaSettings with Warnings
  Definition Classes
    settings
- BooleanSetting
- ChoiceSetting
- IntSetting
- LintWarnings
- MacroExpand
- MultiChoiceEnumeration
- MultiChoiceSetting
- MultiStringSetting
- OutputDirs
- OutputSetting
- PathSetting
- PhasesSetting
- PrefixSetting
- Setting
- StringSetting
- UnusedWarnings
- XxmlSettings
- YstatisticsPhases
- languageFeatures
- mixinForwarderChoices
- optChoices
- optWarningsChoices

o

scala.tools.nsc.settings.ScalaSettings

# XxmlSettings 

###

#### object XxmlSettings extends MutableSettings.MultiChoiceEnumeration

Source
  ScalaSettings.scala

Linear Supertypes
MutableSettings.MultiChoiceEnumeration, Enumeration, Serializable, java.io.Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. XxmlSettings
2. MultiChoiceEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  case class Choice (name: String, help: String = "", expandsTo: List[Choice] = Nil) extends Val with Product with Serializable
   Definition Classes
     MultiChoiceEnumeration
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable
   Definition Classes
     Enumeration

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
5.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
6.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final def apply(x: Int): Value
   Definition Classes
     Enumeration
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
11.  val coalescing: Choice
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
17.  def isCoalescing: Boolean
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def maxId: Int
    Definition Classes
      Enumeration
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
22.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
23.  final def notify(): Unit
    Definition Classes
      AnyRef
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
25.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
28.  def values: ValueSet
    Definition Classes
      Enumeration
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def withName(s: String): Value
    Definition Classes
      Enumeration
33.  object ValueSet extends Serializable
    Definition Classes
      Enumeration

### Inherited from MutableSettings.MultiChoiceEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped